%define realname DevIL

Name: devil
Version: 1.6.8
Release: alt5.rc2

%define realver %version-rc2

License: GPL
Url: http://openil.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: Cross-platform image loading and manipulation toolkit.
Group: System/Libraries
Source: %realname-%realver.tar

Patch1: DevIL-1.6.8-ilut-h.patch

BuildRequires: gcc-c++ libSDL-devel liballegro-devel libjpeg-devel liblcms-devel libmng-devel libpng-devel libstdc++-devel libtiff-devel zlib-devel
BuildRequires: libmesa-devel libX11-devel

%description
Developer's Image Library (DevIL) is a programmer's library to develop 
applications with very powerful image loading capabilities, yet is easy 
for a developer to learn and use. Ultimate control of images is left 
to the developer, so unnecessary conversions, etc. are not performed. 
DevIL utilizes a simple, yet powerful, syntax. 
DevIL can load, save, convert, manipulate, filter and display a wide 
variety of image formats.

%package -n lib%name
Summary: Cross-platform image loading and manipulation toolkit.
Group: System/Libraries

%description -n lib%name
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is easy
for a developer to learn and use. Ultimate control of images is left
to the developer, so unnecessary conversions, etc. are not performed.
DevIL utilizes a simple, yet powerful, syntax.
DevIL can load, save, convert, manipulate, filter and display a wide
variety of image formats.

%package -n lib%name-devel
Summary: DevIL development files.
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is easy
for a developer to learn and use. This package contains development files.

%package -n lib%name-doc
Summary: DevIL documentation
Group: Development/Documentation

%description -n lib%name-doc
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is easy
for a developer to learn and use. This package contains documentation

%prep
%setup -q -n %realname-%version

%patch1 -p1

%build

## ugly hack
mkdir ac
cp *.m4 ac/

cat << EOF >> Makefile.am
ACLOCAL_FLAGS = -I ac
EOF

%__sed -i 's@\@LIBGIF\@@@g' src-IL/src/Makefile.am

%__autoreconf

export CFLAGS="-I/usr/include/SDL"
%configure \
	--disable-win32 \
	--disable-directx \
	--with-pic
	
%make_build

%install

%makeinstall

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/IL

%files -n lib%name-doc
%doc README Libraries.txt TODO CREDITS AUTHORS

%changelog
* Thu Sep 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.6.8-alt5.rc2
- 1.6.8 RC2.
- Some spec cleanup.
- Added patch1 to fix include problems.

* Tue May 02 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.6.8-alt4.RC1
- New version.
- Added libmesa-devel and libX11-devel to buildreqs.

* Sun Jan 08 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.6.7-alt3
- Fixed building on current Sisyphus.

* Tue Oct 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.6.7-alt2
- Fixed textrel error.

* Fri Aug 26 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.6.7-alt1
- Initial build.

